#include "PlayerInput.h"
#include <iostream>
#include <cctype>

char PlayerInput::getValidInput() {
    char input;
    while (true) {
        std::cout << "Введите букву: ";
        std::cin >> input;
        input = tolower(input);
        if (isalpha(input)) return input;
        std::cout << "Неверный ввод. Пожалуйста, введите букву.\n";
    }
}

int PlayerInput::chooseDifficulty() {
    int choice;
    while (true) {
        std::cout << "Выберите уровень сложности:\n1. Новичок\n2. Средний\n3. Эксперт\n";
        std::cin >> choice;
        if (choice >= 1 && choice <= 3) return choice;
        std::cout << "Неверный выбор. Попробуйте снова.\n";
    }
}

bool PlayerInput::askContinue() {
    char answer;
    std::cout << "Хотите сыграть ещё раз? (y/n): ";
    std::cin >> answer;
    return tolower(answer) == 'y';
}
